Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Process_Mutex.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Mutex.h"`
`#include "ace/Process_Mutex.inl"`

Include dependency graph for Process_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Process_Mutex
| A wrapper for mutexes that can be used across processes on the same host machine, as well as within a process, of course. More...

## Detailed Description

Id
  Process_Mutex.h,v 4.19 2005/10/28 16:14:54 ossama Exp

A wrapper for mutexes that can be used across processes on the same host machine, as well as within a process, of course.

Author:
  Douglas C. Schmidt <schmidt@uci.edu>